cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
davelinney
Visitor
Visitor
4,408 Views
Registered: ‎03-08-2018

Modelsim Library mapping empty

Jump to solution

Hi Guys,

 

Having problems getting Modelsim to instantiate components from the Kintex7 libraries.

 

Am using;

    ModelsimDE-64 10.4c

    Vivado v2017.4

 

Have compiled the libraries to path C:\Users\David.Linney\Design\Kintex\libraries\libraries.cache\compile_simlib

Added library mappings to the Modelsim project by inserting mapping into the .mpf file eg.

     simprims_ver = C:/Users/David.Linney/Design/Kintex/libraries/libraries.cache/compile_simlib/simprims_ver

     secureip = C:/Users/David.Linney/Design/Kintex/libraries/libraries.cache/compile_simlib/secureip

simprims works, secureip shows as empty.

 

Screenshots

 

About the only difference I can see between the contents of the two library folders is that secure_ip does not have a _vmake file.

 

Have recompiled and remapped but no difference.

 

Any Ideas?

 

Thanks in advance

 

Dave

0 Kudos
1 Solution

Accepted Solutions
thakurr
Moderator
Moderator
4,722 Views
Registered: ‎09-15-2016

Hi @davelinney

 

Can you tell us what exact command you use for compiling the libraries? Make sure the simulator executable path is correct while you run this command.

compile_simlib -simulator modelsim -simulator_exec_path {C:/modeltech64_10.5c/win64} -family all -language all -library all -dir {<project_path>/.cache/compile_simlib}

 

Also please note that  ModelsimDE-64 10.4c is not supported version with Vivado 2017.4. You need to upgrade the modelsim version to ModelSim SE/DE/PE (10.6b) or any version higher to this. Refer below link, page 11:

https://www.xilinx.com/support/documentation/sw_manuals/xilinx2017_4/ug973-vivado-release-notes-install-license.pdf

 

Regards

Rohit

Regards
Rohit
----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------

View solution in original post

0 Kudos
3 Replies
davelinney
Visitor
Visitor
4,404 Views
Registered: ‎03-08-2018

P.S. There was supposed to be another image on the original post

 

Screenshot

0 Kudos
thakurr
Moderator
Moderator
4,723 Views
Registered: ‎09-15-2016

Hi @davelinney

 

Can you tell us what exact command you use for compiling the libraries? Make sure the simulator executable path is correct while you run this command.

compile_simlib -simulator modelsim -simulator_exec_path {C:/modeltech64_10.5c/win64} -family all -language all -library all -dir {<project_path>/.cache/compile_simlib}

 

Also please note that  ModelsimDE-64 10.4c is not supported version with Vivado 2017.4. You need to upgrade the modelsim version to ModelSim SE/DE/PE (10.6b) or any version higher to this. Refer below link, page 11:

https://www.xilinx.com/support/documentation/sw_manuals/xilinx2017_4/ug973-vivado-release-notes-install-license.pdf

 

Regards

Rohit

Regards
Rohit
----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------

View solution in original post

0 Kudos
davelinney
Visitor
Visitor
4,306 Views
Registered: ‎03-08-2018

Hi Rohit,

 

Thanks for quick reply.  Have been in discussion with our Mentor supplier.

 

Compiled libraries from Vivado GUI.

Didn't specify simulator exe path but when I do it's rejected (10.4c not supported).

Don't want to spend a fortune on Modelsim 10.7 only to find that it works no better.

Saw this from our support guy;

   "No Modelsim 10.7 does not work with Vivado 2017.4, it fails when you run compile_simlib, it is expected to work with the upcoming Vivado 2018.1 release which should support all the latest versions of EDA tools."

 

In meantime I've been trying to get the Vivado simulator going but will open a new thread for that.

 

Thanks

 

Dave

0 Kudos